# Python2 macros for EPEL
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from %distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from %distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global pypi_name gerrit-view


Name:           python-gerrit-view 
Version:        0.3.2
Release:        4%{?dist}
Summary:        A set of tools to query/view Gerrit patch reviews and their Zuul status

License:        ASL 2.0 
URL:            https://pypi.python.org/pypi/gerritlib
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz 

BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-urwid 
BuildRequires:  python-requests

Requires: python-gerritlib
Requires: python-requests
Requires: python-six
Requires: python-prettytable
Requires: python-urwid
Requires: python-paramiko
Requires: GitPython

%description
A set of tools to query/view Gerrit patch reviews and their status.
Current set of tools: (1) qgerrit -- to query different projects' Gerrit
reviews based on a set of criteria/filters; (2) cgerrit -- to view (in
real time) Gerrit reviews on CLI; (3) czuul -- to view Gerrit reviews'
Zuul (a pipeline oriented project gating and automation system) status
on CLI.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf gerrit_view.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%{_bindir}/*
%{python2_sitelib}/gerrit_view-%{version}*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 0.3.2-1
- New upstream release - 0.3.2

* Wed Feb 26 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 0.3.0-3
- Remove duplicate entry of python-urwid from Requires

* Tue Feb 25 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 0.3.0-2
- Address "File listed twice" warnings

* Tue Feb 25 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 0.3.0-1
- Initial package

